| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Attributes | List of all members
OBDeviceSyncConfig Struct Reference

Device synchronization configuration. More...

`#include <ObTypes.h>`

## Public Attributes
OBSyncMode | syncMode
| Device synchronize mode.
uint16_t | irTriggerSignalInDelay
| IR Trigger signal input delay: Used to configure the delay between the IR/Depth/TOF Sensor receiving the trigger signal and starting exposure, Unit: microsecond.
uint16_t | rgbTriggerSignalInDelay
| RGB trigger signal input delay is used to configure the delay from the time when an RGB Sensor receives the trigger signal to the time when the exposure starts. Unit: microsecond.
uint16_t | deviceTriggerSignalOutDelay
| Device trigger signal output delay, used to control the delay configuration of the host device to output trigger signals or the slave device to output trigger signals. Unit: microsecond.
uint16_t | deviceTriggerSignalOutPolarity
| The device trigger signal output polarity is used to control the polarity configuration of the trigger signal output from the host device or the trigger signal output from the slave device.
uint16_t | mcuTriggerFrequency
| MCU trigger frequency, used to configure the output frequency of MCU trigger signal in MCU master mode, unit: Hz.
uint16_t | deviceId
| Device number. Users can mark the device with this number.

## Detailed Description

Device synchronization configuration.

Deprecated:
  This structure is deprecated, please use ob_multi_device_sync_config instead

Definition at line 898 of file ObTypes.h.

## Member Data Documentation

## ◆ syncMode

OBSyncMode OBDeviceSyncConfig::syncMode

Device synchronize mode.

Definition at line 902 of file ObTypes.h.

## ◆ irTriggerSignalInDelay

uint16_t OBDeviceSyncConfig::irTriggerSignalInDelay

IR Trigger signal input delay: Used to configure the delay between the IR/Depth/TOF Sensor receiving the trigger signal and starting exposure, Unit: microsecond.

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_PRIMARY_IR_TRIGGER

Definition at line 910 of file ObTypes.h.

## ◆ rgbTriggerSignalInDelay

uint16_t OBDeviceSyncConfig::rgbTriggerSignalInDelay

RGB trigger signal input delay is used to configure the delay from the time when an RGB Sensor receives the trigger signal to the time when the exposure starts. Unit: microsecond.

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_PRIMARY

Definition at line 918 of file ObTypes.h.

## ◆ deviceTriggerSignalOutDelay

uint16_t OBDeviceSyncConfig::deviceTriggerSignalOutDelay

Device trigger signal output delay, used to control the delay configuration of the host device to output trigger signals or the slave device to output trigger signals. Unit: microsecond.

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_CLOSE or OB_SYNC_MODE_STANDALONE

Definition at line 926 of file ObTypes.h.

## ◆ deviceTriggerSignalOutPolarity

uint16_t OBDeviceSyncConfig::deviceTriggerSignalOutPolarity

The device trigger signal output polarity is used to control the polarity configuration of the trigger signal output from the host device or the trigger signal output from the slave device.

0: forward pulse; 1: negative pulse

Attention
  This parameter is invalid when the synchronization MODE is set to OB_SYNC_MODE_CLOSE or OB_SYNC_MODE_STANDALONE

Definition at line 935 of file ObTypes.h.

## ◆ mcuTriggerFrequency

uint16_t OBDeviceSyncConfig::mcuTriggerFrequency

MCU trigger frequency, used to configure the output frequency of MCU trigger signal in MCU master mode, unit: Hz.

This configuration will directly affect the image output frame rate of the Sensor. Unit: FPS (frames per second)

Attention
  This parameter is invalid only when the synchronization MODE is set to OB_SYNC_MODE_PRIMARY_MCU_TRIGGER

Definition at line 943 of file ObTypes.h.

## ◆ deviceId

uint16_t OBDeviceSyncConfig::deviceId

Device number. Users can mark the device with this number.

Definition at line 948 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/h/ObTypes.h